### Method

# Gimp Image get_channels

#### Declaration [src]

    GimpChannel**
    gimp_image_get_channels (
      GimpImage* image
    )

#### Description [src]

Returns the list of channels contained in the specified image.

This procedure returns the list of channels contained in the specified image. This does not include the selection mask, or layer masks. The order is from topmost to bottommost. Note that "channels" are custom channels and do not include the image’s color components.

#### Return value

Type: An array of `GimpChannel*`

         The list of channels contained in the image.
         The returned value must be freed with g_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.